diff --git a/e107_plugins/forum/forum_admin.php b/e107_plugins/forum/forum_admin.php
index 2ffd458..d3cd904 100644
--- a/e107_plugins/forum/forum_admin.php
+++ b/e107_plugins/forum/forum_admin.php
@@ -11,8 +11,8 @@
 |     GNU General Public License (http://gnu.org).
 |
 |     $Source: /cvsroot/e107/e107_0.7/e107_plugins/forum/forum_admin.php,v $
-|     $Revision: 1.48 $
-|     $Date: 2007/11/11 23:45:33 $
+|     $Revision: 1.44 $
+|     $Date: 2006/11/15 01:06:16 $
 |     $Author: mcfly_e107 $
 +----------------------------------------------------------------------------+
 */
@@ -93,8 +93,6 @@ if(isset($_POST['tools']))
 			$msg .= FORLAN_168.": $fid <br />";
 		}
 	}
-	$for->update_subparent_lp('all');
-
 	if(isset($_POST['userpostcounts']))
 	{
 		$list = $for->get_user_counts();
@@ -219,6 +217,7 @@ if (isset($_POST['updateoptions']))
 	$pref['forum_postspage'] = $_POST['forum_postspage'];
 	$pref['html_post'] = $_POST['html_post'];
 	$pref['forum_attach'] = $_POST['forum_attach'];
+	$pref['forum_memdelpost'] = $_POST['forum_memdelpost'];
 	$pref['forum_redirect'] = $_POST['forum_redirect'];
 	$pref['forum_user_customtitle'] = $_POST['forum_user_customtitle'];
 	$pref['reported_post_email'] = $_POST['reported_post_email'];
@@ -988,22 +987,7 @@ class forum
 
 	function show_prefs()
 	{
-		global $pref, $ns, $sql;
-
-		if($sql->db_Count('plugin','(*)', "where plugin_path = 'poll' AND plugin_installflag = 1"))
-		{
-			$poll_installed = true;
-		}
-		else
-		{
-			$poll_installed = false;
-			if($pref['forum_poll'] == 1)
-			{
-				$pref['forum_poll'] = 0;
-				save_prefs();
-			}
-		}
-
+		global $pref, $ns;
 		$text = "<div style='text-align:center'>
 		<form method='post' action='".e_SELF."?".e_QUERY."'>\n
 		<table style='".ADMIN_WIDTH."' class='fborder'>
@@ -1029,16 +1013,8 @@ class forum
 		</tr>
 
 		<tr>
-		<td style='width:75%' class='forumheader3'>".FORLAN_49."<br /><span class='smalltext'>".FORLAN_50."</span></td>";
-		if($poll_installed)
-		{
-			$text .= "<td style='width:25%;text-align:center' class='forumheader3' >".($pref['forum_poll'] ? "<input type='checkbox' name='forum_poll' value='1' checked='checked' />" : "<input type='checkbox' name='forum_poll' value='1' />")."</td>";
-		}
-		else
-		{
-			$text .= "<td style='width:25%;text-align:center' class='forumheader3' >".FORLAN_66."</td>";
-		}
-		$text .= "
+		<td style='width:75%' class='forumheader3'>".FORLAN_49."<br /><span class='smalltext'>".FORLAN_50."</span></td>
+		<td style='width:25%;text-align:center' class='forumheader3' >".($pref['forum_poll'] ? "<input type='checkbox' name='forum_poll' value='1' checked='checked' />" : "<input type='checkbox' name='forum_poll' value='1' />")."</td>
 		</tr>
 
 		<tr>
@@ -1104,6 +1080,11 @@ class forum
 		<td style='width:75%' class='forumheader3'>".FORLAN_55."<br /><span class='smalltext'>".FORLAN_56."</span></td>
 		<td style='width:25%;text-align:center' class='forumheader3' ><input class='tbox' type='text' name='forum_popular' size='3' value='".$pref['forum_popular']."' maxlength='3' /></td>
 		</tr>
+		
+		<tr>
+		<td style='width:75%' class='forumheader3'>".MDOLAN_1."<br /><span class='smalltext'>".MDOLAN_2."</span></td>
+		<td style='width:25%;text-align:center' class='forumheader3' >".($pref['forum_memdelpost'] ? "<input type='checkbox' name='forum_memdelpost' value='1' checked>" : "<input type='checkbox' name='forum_memdelpost' value='1'>")."</td>
+		</tr>
 
 		<tr>
 		<td style='width:75%' class='forumheader3'>".FORLAN_57."<br /><span class='smalltext'>".FORLAN_58."</span></td>
@@ -1248,8 +1229,8 @@ class forum
 
 		<tr>
 		<td style='text-align:center' class='forumheader3'>".FORLAN_2."<br />
-		".FORLAN_89." <input type='radio' name='prune_type' value='delete' />&nbsp;&nbsp;&nbsp;
-		".FORLAN_90." <input type='radio' name='prune_type' value='make_inactive' checked='checked' />
+		".FORLAN_89." <input type='radio' name='prune_type' value='".FORLAN_3."' />&nbsp;&nbsp;&nbsp;
+		".FORLAN_90." <input type='radio' name='prune_type' value='".FORLAN_111."' checked='checked' />
 		</td>
 		</tr>
 
@@ -1320,12 +1301,9 @@ class forum
 
 		for($a = 0; $a <= 9; $a++)
 		{
-			$low_val = ($a == 0 ? '0' : (int)$rank_thresholds[$a-1]+1);
-			$high_val = ($a == 9 ? '&#8734' : "<input class='tbox' type='text' name='rank_thresholds[]' size='10' value='".$rank_thresholds[$a]."' maxlength='5' />");
-
 			$text .= "<tr>
 			<td class='forumheader3' style='width:40%; text-align:center'><input class='tbox' type='text' name='rank_names[]' size='30' value='".($rank_names[$a] ? $rank_names[$a] : "")."' maxlength='30' /></td>
-			<td class='forumheader3' style='width:20%; text-align:center'>{$low_val} - {$high_val}</td>
+			<td class='forumheader3' style='width:20%; text-align:center'><input class='tbox' type='text' name='rank_thresholds[]' size='10' value='".$rank_thresholds[$a]."' maxlength='5' /></td>
 			<td class='forumheader3' style='width:40%; text-align:center'><input class='tbox' type='text' name='rank_images[]' size='30' value='".($rank_images[$a] ? $rank_images[$a] : "")."' maxlength='30' /></td>
 			</tr>";
 		}
