diff --git a/e107_plugins/forum/forum_viewtopic.php b/e107_plugins/forum/forum_viewtopic.php
index f2e6087..a4e6422 100644
--- a/e107_plugins/forum/forum_viewtopic.php
+++ b/e107_plugins/forum/forum_viewtopic.php
@@ -3,7 +3,7 @@
 + ----------------------------------------------------------------------------+
 |     e107 website system
 |
-|     Steve Dunstan 2001-2002
+|     ╘Steve Dunstan 2001-2002
 |     http://e107.org
 |     jalist@e107.org
 |
@@ -208,7 +208,7 @@ define("MODERATOR", $forum_info['forum_moderators'] != "" && check_class($forum_
 $modArray = $forum->forum_getmods($forum_info['forum_moderators']);
 
 $message = '';
-if (MODERATOR)
+if (MODERATOR || USERALLOWED)
 {
 	if ($_POST)
 	{
@@ -411,6 +411,35 @@ function showmodoptions()
 	return $ret;
 }
 
+function showmemoptions()
+{
+	global $thread_id;
+	global $thread_info;
+	global $forum_info;
+	global $post_info;
+	$forum_id = $forum_info['forum_id'];
+	define("USERALLOWED", $pref['forum_memdelpost'] && $post_info['user_name'] === USERNAME);
+	if ($post_info['thread_parent'] == FALSE)
+	{
+		$type = 'thread';
+		$ret = "<form method='post' action='".e_PLUGIN."forum/forum_viewforum.php?{$forum_id}' id='frmMod_{$forum_id}_{$post_info['thread_id']}'>";
+	}
+	else
+	{
+		$type = 'reply';
+		$ret = "<form method='post' action='".e_SELF."?".e_QUERY."' id='frmMod_{$forum_id}_{$post_info['thread_id']}'>";
+	}
+	
+	$ret .= "
+		<div>
+		<input type='image' ".IMAGE_admin_delete." name='delete_{$post_info['thread_id']}' value='thread_action' onclick=\"return confirm_('{$type}', {$forum_id}, {$thread_id}, '{$post_info['user_name']}')\" />
+		";
+	$ret .= "
+		</div>
+		</form>";
+	return $ret;
+}
+
 function forumjump()
 {
 
@@ -509,4 +538,4 @@ function rpg($user_join, $user_forums)
 	return $rpg_info;
 }
 
-?>
\ No newline at end of file
+?>
